Create a Staff Member
Deprecated
POST
/businesses/{businessId}/staff
const url = 'https://api.upvio.com/v1/businesses/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/staff';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"name":"example","email":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.upvio.com/v1/businesses/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/staff \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "email": "example" }'Create a Staff Member
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” businessId
required
string format: uuid
Business ID
Request Body
Section titled “Request Body ” Media type application/json
object
name
required
string
email
required
string
Example generated
{ "name": "example", "email": "example"}Responses
Section titled “ Responses ”The created Staff Member
Media type application/json
object
data
Staff
A user within a Business that can use and/or manage resources.
object
id
required
Unique identifier across the platform.
string format: uuid
createdAt
Time when the resource was created (ISO 8601 format).
string format: date-time
updatedAt
Time when the resource was created (ISO 8601 format).
string format: date-time
businessId
The ID of the Business this resource belongs to.
string format: uuid
email
required
Unique Email Address that the Staff uses to login.
string format: email
alias
An optional unique alias for the Staff member.
string
name
required
The full legal name of the staff member.
string
status
required
The status of the staff member. Only ACTIVE staff can be booked.
string
enabled
required
Deprecated - Use status instead. Returns true when status is ACTIVE.
boolean
bookingURL
The URL where patients can book this staff member directly.
string
roles
required
A list of roles assigned to the Staff.
Array<string>
managedStaffIds
A list of Staff IDs that are managed by this Staff.
Array<string>
timezone
Timezone string.
string
Example
{ "data": { "alias": "john", "name": "John Doe", "status": "ACTIVE", "bookingURL": "https://forms.upvio.com/book/acme/staff/123", "roles": [ "ADMIN" ], "timezone": "UTC" }}